package com.qmth.teachcloud.report.api;


import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.teachcloud.common.util.Result;
import com.qmth.teachcloud.common.util.ResultUtil;
import com.qmth.teachcloud.report.business.entity.TAExamCourse;
import com.qmth.teachcloud.report.business.entity.TAExamTotal;
import com.qmth.teachcloud.report.business.service.TAExamTotalService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 考试维度总计 前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@Api(tags = "教研分析数据驾驶舱模块Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/${prefix.url.reportSchool}/exam")
public class TAExamTotalController {

    @Autowired
    private TAExamTotalService taExamTotalService;

    @ApiOperation(value = "全校考试总览-全校考试概况")
    @RequestMapping(value = "/get_overview", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "全校考试总览-全校考试概况", response = TAExamTotal.class)})
    public Result getOverview(
            @ApiParam(value = "学期", required = true) @RequestParam String semester,
            @ApiParam(value = "考试ID", required = true) @RequestParam Long examId) {
        return ResultUtil.ok(taExamTotalService.getOverview(semester, examId));
    }

    @ApiOperation(value = "全校考试总览-全校课程考试分析汇总")
    @RequestMapping(value = "/get_course_summary", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "全校考试总览-全校考试概况", response = TAExamCourse.class)})
    public Result getCourseSummary(
            @ApiParam(value = "学期", required = true) @RequestParam String semester,
            @ApiParam(value = "考试ID", required = true) @RequestParam Long examId,
            @ApiParam(value = "分页页码", required = true) @RequestParam Integer pageNumber,
            @ApiParam(value = "分页数量", required = true) @RequestParam Integer pageSize) {
        return ResultUtil.ok(taExamTotalService.getCourseSummary(semester, examId, pageNumber, pageSize));
    }

}
